Name: ucd-snmp
Version: 3.5
Release: 2
Copyright: BSD
Source: ftp://ftp.ece.ucdavis.edu/pub/snmp/ucd-snmp.tar.gz
Source1: snmpd.init
URL: http://www.ece.ucdavis.edu/ucd-snmp
Distribution: Red Hat 5.1 (contrib)
Summary: UCD SNMP agent
Obsoletes: cmu-snmp
Group: Networking/Daemons
Patch0: ucd-snmp-linux.patch

%changelog
* Mon Jul 20 1998 W. Reilly Cooley <wcooley@nakedape.ml.org>
- Fixed SRPM, because rpm didn't follow the symlink; updated descriptions

%package utils
Summary: UCD SNMP utilities
Group: Networking/Utilities

%package devel
Summary: Headers and shared libraries for development with UCD SNMP
Group: Development/Libraries


%description 

The UCD-SNMP package contains an extensible agent for the Simple Network
Management Protocol produced by University of California at Davis.
It is useful for managaging networks and measuring network usage.

%description utils

Various utilites for UCD SNMP.  Contains utilities such as snmpwalk,
snmpset, etc.

%description devel

Headers, man pages, and dynamic library for developing utilities with UCD
SNMP 


%prep
%setup -n ucd-snmp-3.5
%patch -p 1
%build
./configure --with-cflags="$RPM_OPT_FLAGS" \
	--enable-shared --prefix=/usr --with-libwrap=/usr/lib/libwrap.a \
	--with-logfile=/var/log/snmp.log --with-defaults -quiet
make

%install
make install

install -m 755 $RPM_SOURCE_DIR/snmpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd
(cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d;
     ln -sf ../init.d/snmpd K40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc1.d;
     ln -sf ../init.d/snmpd K40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc2.d;
     ln -sf ../init.d/snmpd K40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d;
     ln -sf ../init.d/snmpd S40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc4.d;
     ln -sf ../init.d/snmpd S40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc5.d;
     ln -sf ../init.d/snmpd S40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc6.d;
     ln -sf ../init.d/snmpd K40snmpd
)

%post
/sbin/ldconfig
/sbin/chkconfig --add snmpd

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
   /sbin/chkconfig --del snmpd
fi

%files 
%doc $RPM_BUILD_DIR/ucd-snmp-3.5/etc/ 
%doc COPYING
%doc ChangeLog
%doc EXAMPLE.conf.def
%doc EXAMPLE.conf
%doc FAQ
%doc INSTALL
%doc NEWS
%doc PORTING
%doc README
%doc README.cmu
%doc TODO
%config /etc/rc.d/init.d/snmpd
%config(missingok) /etc/rc.d/rc0.d/K40snmpd
%config(missingok) /etc/rc.d/rc1.d/K40snmpd
%config(missingok) /etc/rc.d/rc2.d/K40snmpd
%config(missingok) /etc/rc.d/rc3.d/S40snmpd
%config(missingok) /etc/rc.d/rc4.d/S40snmpd
%config(missingok) /etc/rc.d/rc5.d/S40snmpd
%config(missingok) /etc/rc.d/rc6.d/K40snmpd
/usr/sbin/snmpd
/usr/man/man1/snmpd.1 
/usr/man/man5/variables.5
/usr/man/man5/snmpd.conf.5 
/usr/share/snmp/mibs/

%files devel
/usr/lib/libsnmp.so
/usr/include/ucd-snmp/
/usr/man/man3/snmp_api.3 
/usr/man/man3/mib_api.3

%files utils
/usr/bin/snmpwalk
/usr/bin/snmpbulkwalk
/usr/bin/snmptranslate
/usr/bin/snmpstatus
/usr/bin/snmpget
/usr/bin/snmpdelta
/usr/bin/snmptable
/usr/bin/snmptest
/usr/sbin/snmptrapd
/usr/bin/snmptrap
/usr/bin/snmpset
/usr/bin/snmpgetnext
/usr/bin/snmpcheck
/usr/bin/tkmib
/usr/bin/snmpnetstat
/usr/man/man1/snmpcmd.1
/usr/man/man1/snmpget.1
/usr/man/man1/snmpset.1 
/usr/man/man1/snmpwalk.1
/usr/man/man1/snmpbulkwalk.1 
/usr/man/man1/snmpgetnext.1
/usr/man/man1/snmptest.1
/usr/man/man1/snmpnetstat.1 
/usr/man/man1/snmptranslate.1 
/usr/man/man1/snmpstatus.1
/usr/man/man1/snmptrap.1
/usr/man/man1/snmpdelta.1
/usr/man/man1/snmptable.1 
/usr/man/man8/snmptrapd.8

